# GmagickPixel::setcolorvalue

(PECL gmagick >= Unknown)

GmagickPixel::setcolorvalue — Définit la valeur normalisée d'un des canaux

### Description

public GmagickPixel::setcolorvalue(int `$color`, float `$value`): GmagickPixel

Définit la valeur du canal spécifié de cette objet à une valeur fournie, qui doit être entre 0 et 1. Cette fonction peut être utilisée pour fournir un canal d'opacité à l'objet GmagickPixel.

### Liste de paramètres

`color`

  Une des constantes de couleur de canal Gmagick.

`value`

  La valeur à utiliser pour définir ce canal, comprise entre 0 et 1.

### Valeurs de retour

L'objet GmagickPixel en cas de succès.